com.pixelmed.test

## Class TestCTDoseAcquisition

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestCTDoseAcquisition

-     public class TestCTDoseAcquisition
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCTDoseAcquisition(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `TestCTDoseAcquisitionConstructor_WithAllParameters_Axial()`
    `void` | `TestCTDoseAcquisitionConstructor_WithAllParameters_AxialOnePosition()`
    `void` | `TestCTDoseAcquisitionConstructor_WithAllParameters_Equality()`
    `void` | `TestCTDoseAcquisitionConstructor_WithAllParameters_Helical()`
    `void` | `TestCTDoseAcquisitionConstructor_WithAllParameters_MatchForMerge()`
    `void` | `TestCTDoseAcquisitionConstructor_WithAllParameters_StationaryBasedOnZeroPitchInAcquisitionParameterChildren()`
    `void` | `TestCTDoseAcquisitionConstructor_WithAllParameters_WithAcquisitionParameterChildren()`
    `void` | `TestCTDoseAcquisitionConstructor_WithAllParameters_WithEntireAcquisitionParameterMerge()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCTDoseAcquisition

          public TestCTDoseAcquisition(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### TestCTDoseAcquisitionConstructor_WithAllParameters_Helical

          public void TestCTDoseAcquisitionConstructor_WithAllParameters_Helical()
                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTDoseAcquisitionConstructor_WithAllParameters_Axial

          public void TestCTDoseAcquisitionConstructor_WithAllParameters_Axial()
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTDoseAcquisitionConstructor_WithAllParameters_AxialOnePosition

          public void TestCTDoseAcquisitionConstructor_WithAllParameters_AxialOnePosition()
                                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTDoseAcquisitionConstructor_WithAllParameters_WithAcquisitionParameterChildren

          public void TestCTDoseAcquisitionConstructor_WithAllParameters_WithAcquisitionParameterChildren()
                                                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTDoseAcquisitionConstructor_WithAllParameters_StationaryBasedOnZeroPitchInAcquisitionParameterChildren

          public void TestCTDoseAcquisitionConstructor_WithAllParameters_StationaryBasedOnZeroPitchInAcquisitionParameterChildren()
                                                                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTDoseAcquisitionConstructor_WithAllParameters_Equality

          public void TestCTDoseAcquisitionConstructor_WithAllParameters_Equality()
                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTDoseAcquisitionConstructor_WithAllParameters_MatchForMerge

          public void TestCTDoseAcquisitionConstructor_WithAllParameters_MatchForMerge()
                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestCTDoseAcquisitionConstructor_WithAllParameters_WithEntireAcquisitionParameterMerge

          public void TestCTDoseAcquisitionConstructor_WithAllParameters_WithEntireAcquisitionParameterMerge()
                                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`